# frozen_string_literal: true

require_relative "lib/game_of_life/version"

Gem::Specification.new do |spec|
  spec.name          = "terminal_game_of_life"
  spec.version       = GameOfLife::VERSION
  spec.authors       = ["a14m"]
  spec.email         = ["a14m@pm.me"]

  spec.summary       = "Game of Life CLI"
  spec.description   = "Conway's game of life implementation as a CLI ruby gem."
  spec.homepage      = "https://git.sr.ht/~a14m/game-of-life/tree/master/CLI/ruby/README.md"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.5.0"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"
  spec.metadata["homepage_uri"]      = spec.homepage
  spec.metadata["source_code_uri"]   = "https://git.sr.ht/~a14m/game-of-life/tree/master/CLI/ruby"
  spec.metadata["documentation_uri"] = "https://rubydoc.info/gems/terminal_game_of_life"
  spec.metadata["changelog_uri"]     = "https://git.sr.ht/~a14m/game-of-life/tree/master/CLI/ruby/CHANGELOG.md"

  spec.executables   = ["game-of-life"]
  spec.require_paths = ["lib"]
  spec.files         = Dir["README.md", "game_of_life.gemspec", "bin/game-of-life", "lib/**/*.rb", ".yardopts"]

  spec.add_dependency "thor", "~> 1.0"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "pry-byebug"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rubocop"
  spec.add_development_dependency "rubocop-rspec"
  # Code Coverage dependencies
  spec.add_development_dependency "json"
  spec.add_development_dependency "simplecov"
  # Documentation dependencies
  spec.add_development_dependency "redcarpet"
  spec.add_development_dependency "yard"
end
